Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::GammaCurve Class Reference

A GtkGammaCurve C++ wrapper class. More...

`#include <inti/gtk/gammacurve.h>`

Inheritance diagram for Inti::Gtk::GammaCurve:

List of all members.

## Public Member Functions

Constructors

- GammaCurve ()
    Construct a new GammeCurve.
- virtual ~GammaCurve ()
    Destructor.

Accessors

- GtkGammaCurve * gtk_gamma_curve () const
    Get a pointer to the GtkGammaCurve structure.
- GtkGammaCurveClass * gtk_gamma_curve_class () const
    Get a pointer to the GtkGammaCurveClass structure.
- operator GtkGammaCurve * () const
    Conversion operator; safely converts a GammaCurve to a GtkGammaCurve pointer.

## Protected Member Functions

Constructors

- GammaCurve (GtkGammaCurve *gamma_curve, bool reference=false)
    Construct a new GammaCurve from an existing GtkGammaCurve.

## Detailed Description

A GtkGammaCurve C++ wrapper class.

The GammaCurve widget is a variant of Curve specifically for editing gamma curves, which are used in graphics applications such as the Gimp. The GammaCurve widget shows a curve which the user can edit with the mouse just like a Curve widget. On the right of the curve it also displays 5 buttons, 3 of which change between the 3 curve modes (spline, linear and free), and the other 2 set the curve to a particular gamma value, or reset it to a straight line.

NOTE this widget is considered too specialized/little-used for GTK+, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest.

## Constructor & Destructor Documentation

Inti::Gtk::GammaCurve::GammaCurve | ( | GtkGammaCurve * | gamma_curve,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new GammaCurve from an existing GtkGammaCurve. Parameters:
  gamma_curve | A pointer to a GtkGammaCurve.
  reference | Set false if the initial reference count is floating, set true if it's not.
The gamma_curve can be a newly created GtkGammaCurve or an existing GtkGammaCurve (see G::Object::Object).

The documentation for this class was generated from the following file:

- gammacurve.h

Main Page - Footer